package com.ruixuan.isc.mapper;

import com.ruixuan.isc.entity.KuaishouLabel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手标签Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-28
 */
public interface KuaishouLabelMapper {
    /**
     * 查询快手标签
     *
     * @param id 快手标签主键
     * @return 快手标签
     */
    public KuaishouLabel selectKuaishouLabelById(Long id);

    /**
     * 查询快手标签列表
     *
     * @param kuaishouLabel 快手标签
     * @return 快手标签集合
     */
    public List<KuaishouLabel> selectKuaishouLabelList(KuaishouLabel kuaishouLabel);

    /**
     * 新增快手标签
     *
     * @param kuaishouLabel 快手标签
     * @return 结果
     */
    public int insertKuaishouLabel(KuaishouLabel kuaishouLabel);

    /**
     * 修改快手标签
     *
     * @param kuaishouLabel 快手标签
     * @return 结果
     */
    public int updateKuaishouLabel(KuaishouLabel kuaishouLabel);

    /**
     * 删除快手标签
     *
     * @param id 快手标签主键
     * @return 结果
     */
    public int deleteKuaishouLabelById(Long id);

    /**
     * 批量删除快手标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLabelByIds(Long[] ids);

    int updateLabelColourStatus(@Param("labelColour") String labelColour);

    String getLabelColour();
}